import * as React from 'react';
import {AudioFile, getMimeTypeDescription} from '@/utils/blob';
import {formatFileSize, formatNumeral, formatSecondsDurationPrecise} from '@/utils/numeral';
import {useAudioFilePreviewControls} from '@/categories/blob/react/hooks/audio';

export interface AudioMiniFilePreviewProps {
  file: AudioFile;
}

export const AudioMiniFilePreview: React.FC<AudioMiniFilePreviewProps> = ({
  file: f,
}) => {
  const {
    mediaContainerRef,
    playMedia,
    isPlaying,
  } = useAudioFilePreviewControls({ file: f });

  return (
    <div
      className="absolute top-0 left-0 w-full h-full cursor-pointer"
      ref={mediaContainerRef}
      onClick={playMedia}
    />
  );
};
